Skip to content
Commits on Oct 15, 2012
  1. Add PyPy support.

    committed Oct 15, 2012
  2. Don't depend on six.

    committed Oct 15, 2012
    Times a tiny library and it already has two dependencies, which I think
    is one too many already.  Let's not make it two :)
  3. @svetlyak40wt

    Fixes setup.py for python3.

    svetlyak40wt committed Oct 15, 2012
    Python3 requires explicit globals dictionary to be passed to `exec`
    function.
  4. @svetlyak40wt

    Adds Python3 compatibility, using `six` module.

    svetlyak40wt committed Oct 15, 2012
    Also, Travis config was added, to run tests against python 2.7 and 3.2.
Commits on Aug 3, 2012
Commits on Aug 2, 2012
  1. @jparise

    Remove the version-specific python-dateutil logic.

    jparise committed Aug 2, 2012
    python-dateutil 2.1 is compatible with both Python 2.x and 3.x (with
    help from the six package).
Commits on Feb 18, 2012
  1. Flake8.

    committed Feb 18, 2012
Commits on Feb 7, 2012
  1. Add support for _parsing_ dates.

    committed Feb 8, 2012
    It utilizes the python-dateutil parser for this purpose.
Commits on Feb 4, 2012
  1. Revert "No need to store the version in a separate file."

    committed Feb 4, 2012
    This reverts commit a8373a2 and fixes #3.
    
    If we import times from the setup.py file, it'll require pytz to be
    available at install time, which we should not be wanting.  Therefore,
    I've reverted back to the state where I simply import the version number
    from the version.py file directly.
    
    Conflicts:
    
    	times/__init__.py
Commits on Feb 3, 2012
Commits on Feb 2, 2012
  1. Add version info to the package.

    committed Feb 2, 2012
Commits on Feb 1, 2012
  1. Add PyPI package definition.

    committed Feb 1, 2012
Something went wrong with that request. Please try again.